Project

Profile

Help

Issue #8834

Pulp_installer refuses to install in non-devel mode with FIPS enabled

Added by ironfroggy 6 months ago. Updated 5 months ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Category:
Installer - Moved to GitHub issues
Sprint/Milestone:
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Version:
Platform Release:
OS:
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 97
Quarter:

Description

This is enforced in roles/pulp_common/tasks/main.yml

- name: Check required roles if FIPS detected
  assert:
    that:
      - "'pulp_devel' in role_names"
    fail_msg: >
      Pulp cannot run in a FIPS environment because Django (a dependency) is not FIPS
      compatible
  when: ansible_facts.fips

However, the user can know this and be using a patched Django. We need to be able to ignore or bypass this if we've handled the necessary requirements outside the installer.

Currently blocking galaxy_ng 4.3 related release steps.


Related issues

Related to Pulp - Story #8258: As an installer user, I don't have special FIPS detectionCLOSED - CURRENTRELEASE

<a title="Actions" class="icon-only icon-actions js-contextmenu" href="#">Actions</a>

Associated revisions

Revision 4d65c8e4 View on GitHub
Added by Mike DePaulo 6 months ago

Problem: pulp_installer refuses to install in

packages mode and non-devel mode when FIPS is enabled

Solution: Check for either devel mode (with pip) or packages mode. (#8258 checked for devel mode only)

fixes: #8834 https://pulp.plan.io/issues/8834

Revision 4d65c8e4 View on GitHub
Added by Mike DePaulo 6 months ago

Problem: pulp_installer refuses to install in

packages mode and non-devel mode when FIPS is enabled

Solution: Check for either devel mode (with pip) or packages mode. (#8258 checked for devel mode only)

fixes: #8834 https://pulp.plan.io/issues/8834

Revision d8157c45 View on GitHub
Added by Mike DePaulo 6 months ago

Problem: pulp_installer refuses to install in

packages mode and non-devel mode when FIPS is enabled

Solution: Check for either devel mode (with pip) or packages mode. (#8258 checked for devel mode only)

fixes: #8834 https://pulp.plan.io/issues/8834

Revision d8157c45 View on GitHub
Added by Mike DePaulo 6 months ago

Problem: pulp_installer refuses to install in

packages mode and non-devel mode when FIPS is enabled

Solution: Check for either devel mode (with pip) or packages mode. (#8258 checked for devel mode only)

fixes: #8834 https://pulp.plan.io/issues/8834

History

#1 Updated by ironfroggy 6 months ago

Note: this is for pulp 3.11

#2 Updated by mdepaulo@redhat.com 6 months ago

  • Related to Story #8258: As an installer user, I don't have special FIPS detection added

#3 Updated by mdepaulo@redhat.com 6 months ago

  • Assignee set to mdepaulo@redhat.com
  • Sprint set to Sprint 97

This is a bug in the implementation of #8258.

It should also pass the check if installing from "packages".

#4 Updated by pulpbot 6 months ago

  • Status changed from NEW to POST

#5 Updated by Anonymous 6 months ago

  • Status changed from POST to MODIFIED

#6 Updated by mdepaulo@redhat.com 6 months ago

I created a backport PR for 3.11: https://github.com/pulp/pulp_installer/pull/637

#8 Updated by bmbouter 5 months ago

  • Sprint/Milestone set to 3.14.0

#9 Updated by bmbouter 5 months ago

  • Status changed from MODIFIED to CLOSED - CURRENTRELEASE

Please register to edit this issue

Also available in: Atom PDF